Structure a parsed policy document into a semantic folder tree
curl --request POST \
--url https://sandbox.rcintell.com/v1/policy/structure \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"document_id": "<string>",
"user_uid": "<string>",
"rebuild": false
}
'import requests
url = "https://sandbox.rcintell.com/v1/policy/structure"
payload = {
"document_id": "<string>",
"user_uid": "<string>",
"rebuild": False
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({document_id: '<string>', user_uid: '<string>', rebuild: false})
};
fetch('https://sandbox.rcintell.com/v1/policy/structure', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"document_id": "<string>",
"user_uid": "<string>",
"built_with": "deterministic",
"folders": [
{
"key": "<string>",
"label": "<string>",
"files": [
{
"id": "<string>",
"title": "<string>",
"citations": [
{
"chunk_id": "<string>",
"page_end": 123,
"page_start": 123
}
],
"cross_references": [
"<string>"
],
"entities": {
"claim_formats": [
"<string>"
],
"codes": [
"<string>"
],
"modifiers": [
"<string>"
],
"payment_systems": [
"<string>"
],
"revenue_codes": [
"<string>"
],
"tob": [
"<string>"
]
},
"excerpt": "",
"facts": [
{
"statement": "<string>",
"applies_to": "<string>",
"effective_date": "<string>",
"value": "<string>"
}
],
"native_section": "<string>",
"summary": ""
}
],
"summary": ""
}
],
"metadata": {
"chapter": "<string>",
"effective_date": "<string>",
"line_of_business": "<string>",
"manual": "<string>",
"provider_types": [
"<string>"
],
"publisher": "<string>",
"revision": "<string>",
"source_pages": 0,
"source_pdf": "",
"title": ""
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}policy
Structure a parsed policy document into a semantic folder tree
Build (or return cached) folder tree for a parsed document.
Requires the document to have been parsed first via POST /v1/policy/parse.
Pass rebuild: true to recompute even when a cached tree exists.
POST
/
v1
/
policy
/
structure
Structure a parsed policy document into a semantic folder tree
Authorizations
Headers
Admin bootstrap secret required for privileged bootstrap/provisioning operations.
Body
application/json